﻿locale = GetLocale()
local FOLDER_NAME, private = ...

--
-- to prevent printing empty strings and undefined string errors,
-- "enUS" is the default locale if no other is specified, so populate the table with this data
-- and over-write it with another, as available
--
private.L = {
	ADDON_DESCRIPTION_LONG = "This addon installs Eject buttons to quickly eject both passengers with a single click, and offers the option to eject them automatically when mounting up.",
	ADDON_INTRODUCTION = "The |cFFFF80FFTraveler's Tundra Mammoth|r and |cFFFF80FFGrand Expedition Yak|r are unique. They are mounts that are also vehicles and spawn with two vendors as passengers.",
	AUTO_EJECT_ON_SUMMON = "Automatically eject vendors on summoning mount.",
	AUTO_EJECT_ON_SUMMON_LONG = "When Auto-Eject is enabled, your passenger vendors will be ejected each time you mount.",
	CHAT_COMMANDS_HELP_DESCRIPTION = "/ttm commands: autoeject [on | off] | eject | help",
	CHOOSE_EJECTION_SEATS = "Choose which seat(s) to eject:",
	COMMAND_AUTO = "auto",
	COMMAND_AUTOEJECT = "autoeject",
	COMMAND_EJECT = "eject",
	COMMAND_HELP = "help",
	EJECT = "Eject",
	SHOW_VEHICLE_EJECT = "Add a single-click eject button to the vehicle silhouette.",
	LEFT_SEAT = "Left Seat",
	LIMIT_SHOW_VEHICLE_EJECT = "Only when mounted on |cFFFF80FFTraveler's Tundra Mammoth|r or |cFFFF80FFGrand Expedition Yak|r",
	PASSENGERS_EJECTED = "Passengers ejected!",
	RIGHT_SEAT = "Right Seat",
	SUBCOMMAND_OFF = "off",
	SUBCOMMAND_ON = "on",
	VERSION = "Version",
}

